package sop_task

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_task"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_task/create sop_task CreateSopTask
//
// Create sop task information | 创建SopTask
//
// Create sop task information | 创建SopTask
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SopTaskInfo
//
// Responses:
//  200: BaseMsgResp

func CreateSopTaskHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SopTaskInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_task.NewCreateSopTaskLogic(r.Context(), svcCtx)
		resp, err := l.CreateSopTask(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
